Subject: Re: [saag] A proposal for compact representation of an elliptic curve point (ECC point compression)

From: Andrey Jivsov <[email-masked]>
Date: Wed, 12 Dec 2012 14:13:57 -0800

On 12/12/2012 03:13 AM, Peter Gutmann wrote:
> Andrey Jivsov <[email-masked]> writes:
...
>
>> I claim that what I submitted is better in many respects than SEC1.
>
> Well, it's up against a pretty much universally-adopted standard (at least in
> the stuff I know of).  So you have to convince the S/MIME folks, the OpenPGP
> folks, the SSH folks, the SSL/TLS folks, ... to adopt your format.  Given that
> there's a huge amount of code deployed using the X9.62 format (or at least
> implementing the X9.62 format, even if actual use is practically nonexistent),
> it's going to be quite a battle to get a new format accepted.
>
> Peter.
>

I agree that it's a challenge to add this format to standards that 
already define point compression (OpenPGP doesn't, BTW).

My message to persons working on the established protocols/formats is 
that here is an elegant method, consider using it the next time you 
introduce an incompatible change.

My proposal provides the most value for the new protocols. I believe it 
should be a strong contender on technical grounds for anybody thinking 
to define new ECC-based protocol or format.

The same is true for any proprietary format (i.e. let's say I want to 
start distributing keys as a URL... ).

Thank you.